import Vue from 'vue';
import "../../../src/scss/flex.scss";
export default Vue.extend({
  name: 'w-flex',
  provide: function provide() {
    return {
      flexComponent: this
    };
  },
  props: {
    gutter: {
      type: [Number, String],
      default: 0,
      validator: function validator(val) {
        return Number(val) >= 0;
      }
    }
  },
  computed: {
    style: function style() {
      var margin = "-".concat(Number(this.gutter) / 2, "px");
      return this.gutter ? {
        marginLeft: margin,
        marginRight: margin
      } : {};
    }
  },
  render: function render(h) {
    return h('div', {
      class: 'weui-flex',
      style: this.style
    }, [this.$slots.default]);
  }
});
//# sourceMappingURL=WFlex.js.map