export function install(Vue) {
  var args = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  if (install.installed) return;
  install.installed = true;
  var components = args.components || {};
  var directives = args.directives || {};
  var plugins = args.plugins || {};

  for (var name in directives) {
    var directive = directives[name];
    Vue.directive(name, directive);
  }

  for (var _name in plugins) {
    var plugin = plugins[_name];
    Vue.use(plugin);
  }

  ;

  (function registerComponents(components) {
    if (components) {
      for (var key in components) {
        var component = components[key];
        Vue.component(key, component);
      }

      return true;
    }

    return false;
  })(components);
}
//# sourceMappingURL=install.js.map